<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'boomee',

    /*
     * Package.
     */
    'package'   => 'contact',

    /*
     * Modules.
     */
    'modules'   => ['contact'],

    
    'contact'       => [
        'model' => [
            'model'                 => \Boomee\Contact\Models\Contact::class,
            'table'                 => 'contacts',
            'presenter'             => \Boomee\Contact\Repositories\Presenter\ContactPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'title',  'company',  'surname',  'name',  'category',  'phone',  'mobile',  'fax',  'email',  'website',  'country_id',  'state_id',  'city_id',  'zipcode',  'street',  'street_no',  'tags',  'content',  'images',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'contact/contact',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'Contact',
            'module'    => 'Contact',
        ],

    ],
];
