<?php

// web routes  for contact
Route::prefix('{guard}/contact')->group(function () {
    Route::resource('contact', 'ContactResourceController');
});

// Public routes for contact
Route::get('contacts/', 'ContactPublicController@index');
Route::get('contacts/{slug?}', 'ContactPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ContactResourceController');
            });
            // Public routes for pages
            Route::get('contacts/', 'ContactPublicController@index');
            Route::get('contacts/{slug?}', 'ContactPublicController@show');
        }
    );
}

