<?php

namespace Boomee\Contact\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactTransformer extends TransformerAbstract
{
    public function transform(\Boomee\Contact\Models\Contact $contact)
    {
        return [
            'id'                => $contact->getRouteKey(),
            'key'               => [
                'public'    => $contact->getPublicKey(),
                'route'     => $contact->getRouteKey(),
            ], 
            'user_id'           => $contact->user_id,
            'title'             => $contact->title,
            'company'           => $contact->company,
            'surname'           => $contact->surname,
            'name'              => $contact->name,
            'category'          => $contact->category,
            'phone'             => $contact->phone,
            'mobile'            => $contact->mobile,
            'fax'               => $contact->fax,
            'email'             => $contact->email,
            'website'           => $contact->website,
            'country_id'        => $contact->country_id,
            'state_id'          => $contact->state_id,
            'city_id'           => $contact->city_id,
            'zipcode'           => $contact->zipcode,
            'street'            => $contact->street,
            'street_no'         => $contact->street_no,
            'tags'              => $contact->tags,
            'content'           => $contact->content,
            'images'            => $contact->images,
            'slug'              => $contact->slug,
            'deleted_at'        => $contact->deleted_at,
            'url'               => [
                'public'    => trans_url('contact/'.$contact->getPublicKey()),
                'user'      => guard_url('contact/contact/'.$contact->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contact->status),
            'created_at'        => format_date($contact->created_at),
            'updated_at'        => format_date($contact->updated_at),
        ];
    }
}